Subject: [codec] Huawei IPR disclosure 1712 against draft-ietf-codec-opus-11

From: Stephan Wenger <[email-masked]>
Date: Mon, 12 Mar 2012 23:22:21 +0000

To: Huawei Director of Licensing
CC: IETF codec WG

Dear Director of Licensing,

I'm writing in my capacity as the technical advisor to the IESG on IPR matters related to the IETF's Codec WG, which is chartered to specify a speech/audio codec for the Internet.  I have a request for clarification and/or modification/amendment of the subject IPR disclosure, and a further request to reconsider the licensing term substance of the disclosure in the light of the disclosure timing.

It is my understanding, that the US patent application serial No. 11/942,118 "SPEECH CODING SYSTEM TO IMPROVE PACKET LOSS CONCEALMENT", that is currently declared against the opus draft, has issued in US patent 8,010,351 on August 30, 2011; please see http://portal.uspto.gov/external/portal/!ut/p/c5/04_SB8K8xLLM9MSSzPy8xBz9CP0os3hff1NDc1NLYwN3SzcDA08PwyD_YF8zINcYKB-JW97AiCLdBgR0h4Nci992vPIGEHkDHMDRQN_PIz83Vb8gNzTCIDMgHQCGKKj-/dl3/d3/L0lDU0lKSWdrbUNTUS9JUFJBQUlpQ2dBek15cXpHWUEhIS80QkVqOG8wRmxHaXQtYlhwQUh0Qi83X01PNTE3NTkzMEc5RjAwSUgxUk9TTTYzMDI2LzhTa1lrODg0ODAwMjAvc2EuZ2V0Qmli/.

Please clarify whether the disclosure made also applies to the issued patent.  If yes, please submit an update to disclosure 1712.  You may also wish to disclose any possibly missing international counterparts, continuations, or divisionals.

Further, assuming that the disclosure also relates to the issued patent, and considering the relatively late disclosure ( a) The disclosure was made more than a year that the opus bitstream format has been stable, b) more than half a year since the scope of protection of the patent was known through the notice of allowance, and c) my understanding that Huawei personnel did occasionally comment in the codec WG on the subject draft), I would like to ask you to consider whether licensing terms more compatible with the expressed wishes of the WG (as expressed in the WG charter) could be made available.

If you wish to discuss either of these requests in person with me, please note that I am traveling internationally for the next three weeks, , and my cell phone will mostly be off.  I may not even check voicemail.  Please contact me by email for call logistics.

Thanks for your kind consideration.

Best regards,
Stephan Wenger